Subject: Re: [PATCH] doc: update advice about other implementations' v4 index support

From: Derrick Stolee <[email-masked]>
Date: Fri, 9 Apr 2021 21:12:59 -0400

On 4/9/2021 6:45 PM, Junio C Hamano wrote:
> [email-masked] writes:
> 
>> From: Scott Worley <[email-masked]>
>>
>> Signed-off-by: Scott Worley <[email-masked]>
>> ---
>>  Documentation/git-update-index.txt | 7 ++++---
>>  1 file changed, 4 insertions(+), 3 deletions(-)
>>
>> diff --git a/Documentation/git-update-index.txt b/Documentation/git-update-index.txt
>> index 2853f168d9..e8eca5dadf 100644
>> --- a/Documentation/git-update-index.txt
>> +++ b/Documentation/git-update-index.txt
>> @@ -166,9 +166,10 @@ you will need to handle the situation manually.
>>  +
>>  Version 4 performs a simple pathname compression that reduces index
>>  size by 30%-50% on large repositories, which results in faster load
>> -time. Version 4 is relatively young (first released in 1.8.0 in
>> -October 2012). Other Git implementations such as JGit and libgit2
>> -may not support it yet.
>> +time. Version 4 is relatively young (first released in git 1.8.0 in
>> +October 2012, supported in libgit2 0.24.4 from December 2016, go-git
>> +4.0.0 from January 2018, and jgit 5.9.0 from September 2020). Other
>> +Git implementations such as Dulwich may not support it yet.
> 
> Thanks for these dates.  Time flies---I didn't realize it has been
> almost 9 years---the feature was merged in May 2012, in v1.7.11
> (yes, I am hinting that the original lists a wrong date and we
> should correct it while at it).
> 
> I wonder if we should lose "relatively young" from the description
> here, though.
 
I was thinking the same thing. It has had extensions added such as
the End-of-index extension, but even that is approaching three years
ago.

Thanks,
-Stolee